#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1244837367.3776541
__CHEETAH_genTimestamp__ = 'Fri Jun 12 16:09:27 2009'
__CHEETAH_src__ = 'webui_templates/master.tmpl'
__CHEETAH_srcLastModified__ = 'Fri Jun 12 15:52:20 2009'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class master(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def body(self, **KWS):



        ## CHEETAH: generated from #block body at line 86, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
    <h1 style="color: red;">Template Failure</h1>

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xml:lang="en" lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>''')
        _v = VFFSL(SL,"title",True) # '$title' on line 5, col 12
        if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 5, col 12.
        write('''</title>
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>

    <link rel="stylesheet" type="text/css" media="all" href="/cobbler/webui/style.css" />
    <link rel="stylesheet" type="text/css" media="all" href="/cobbler/webui/cobblerweb.css" />

<script language="Javascript" src="/cobbler/webui/cobbler.js" ></script>

</head>


<body onload="if (window.page_onload) { page_onload(); }">

<div id="wrap">
        <a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 19, col 18
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 19, col 18.
        write('''/index">
            <img alt="Cobbler Logo"
                 src="/cobbler/webui/logo-cobbler.png"/>
        </a>
</div>

<div id="main">

<div id="sidebar">
    <ul id="nav">
        <li><a href="/cobbler/webui/wui.html" class="menu">Docs</a></li>
        <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 30, col 22
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 30, col 22.
        write('''?mode=settings_view" class="menu">Settings</a></li>
        <li><hr/></li>
        <li><a class="menu">Distros</span></li>
''')
        # if $mode.find("distro") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 35, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 35, col 30.
        write('''?mode=distro_list" class="menu">List</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 36, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 36, col 23.
        write('''?mode=distro_search" class="menu">Search</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 37, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 37, col 23.
        write('''?mode=distro_edit" class="menu">Add</a></li>
\t    </ul>
''')
        # end if
        write('''        <li><a class="menu">Profiles</span></li>
''')
        # if $mode.find("profile") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 43, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 43, col 30.
        write('''?mode=profile_list" class="menu">List</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 44, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 44, col 23.
        write('''?mode=profile_search" class="menu">Search</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 45, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 45, col 23.
        write('''?mode=profile_edit" class="menu">Add</a></li>
    \t\t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 46, col 20
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 46, col 20.
        write('''?mode=subprofile_edit" class="menu">Add child</a></li>
\t    </ul>
''')
        # end if	    
        write('''        <li><a class="menu">Systems</span></li>
''')
        # if $mode.find("system") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 52, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 52, col 30.
        write('''?mode=system_list" class="menu">List</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 53, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 53, col 23.
        write('''?mode=system_search" class="menu">Search</a></li>
    \t\t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 54, col 20
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 54, col 20.
        write('''?mode=system_edit_new" class="menu">Add</a></li>
\t    </ul>
''')
        # end if	    
        write('''        <li><a class="menu">Repos</span></li>
''')
        # if $mode.find("repo") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 60, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 60, col 30.
        write('''?mode=repo_list" class="menu">List</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 61, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 61, col 23.
        write('''?mode=repo_search" class="menu">Search</a></li>
\t        <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 62, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 62, col 23.
        write('''?mode=repo_edit" class="menu">Add</a></li>
\t    </ul>
''')
        # end if	    
        write('''        <li><a class="menu">Images</span></li>
''')
        # if $mode.find("image") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 68, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 68, col 30.
        write('''?mode=image_list" class="menu">List</a></li>
        \t<li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 69, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 69, col 23.
        write('''?mode=image_search" class="menu">Search</a></li>
\t        <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 70, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 70, col 23.
        write('''?mode=image_edit" class="menu">Add</a></li>
\t    </ul>
''')
        # end if	    
        write('''        <li><a class="menu">Kickstarts</span></li>
''')
        # if $mode.find("ksfile") != -1
        write('''    \t    <ul id="navaction">
                <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 76, col 30
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 76, col 30.
        write('''?mode=ksfile_list" class="menu">List</a></li>
\t        <li><a href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 77, col 23
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 77, col 23.
        write('''?mode=ksfile_new" class="menu">Add</a></li>
\t    </ul>
''')
        # end if	    
        write('''        <li><hr/><br/></li>
        <li><a class="button sync" href="''')
        _v = VFFSL(SL,"base_url",True) # '$base_url' on line 81, col 42
        if _v is not None: write(_filter(_v, rawExpr='$base_url')) # from line 81, col 42.
        write('''?mode=sync">Sync</a></li>
    </ul>
</div>

<div id="content">
''')
        self.body(trans=trans)
        write('''</div><!-- content -->
</div><!-- main -->

</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    title = "Cobbler Web Interface"

    _mainCheetahMethod_for_master= 'respond'

## END CLASS DEFINITION

if not hasattr(master, '_initCheetahAttributes'):
    templateAPIClass = getattr(master, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(master)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=master()).run()


